Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbKeyRange

    java.lang.Object
      |
      +--com.sleepycat.db.DbKeyRange

public class DbKeyRange
extends Object

Field Summary
`double` | `equal` A value between 0 and 1, the proportion of keys equal to the specified key.
`double` | `greater` A value between 0 and 1, the proportion of keys greater than the specified key.
`double` | `less` A value between 0 and 1, the proportion of keys less than the specified key.

Constructor Summary
`DbKeyRange()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### equal

    public double equal

  A value between 0 and 1, the proportion of keys equal to the specified key.

### greater

    public double greater

  A value between 0 and 1, the proportion of keys greater than the specified key.

### less

    public double less

  A value between 0 and 1, the proportion of keys less than the specified key.

Constructor Detail

### DbKeyRange

    public DbKeyRange()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.